Bug 380382 - kimageformats-read-xcf test fails with Qt 5.9
Summary: kimageformats-read-xcf test fails with Qt 5.9
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kimageformats
Classification: Unclassified
Component: general (show other bugs)
Version: 5.34.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Alex Merry
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-31 06:49 UTC by Heiko Becker
Modified: 2021-03-04 22:27 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Becker 2017-05-31 06:49:11 UTC
With Qt 5.9 (5.9.0-rc2) kimageformats-read-xcf started to fail:

Start  9: kimageformats-read-xcf

9: Test command: /var/tmp/paludis/build/kde-frameworks-kimageformats-5.34.0/work/build/autotests/readtest "-f" "1" "xcf"
9: Test timeout computed to be: 9.99988e+06
9: ********* Starting basic read tests for xcf images *********
9: INFO : simple-bw-gimp-2.8.10.xcf: converting simple-bw-gimp-2.8.10.xcf from RGB32 to ARGB32
9: INFO : simple-bw-gimp-2.8.10.xcf: converting simple-bw-gimp-2.8.10.png from RGB32 to ARGB32
9: PASS : simple-bw-gimp-2.8.10.xcf
9: PASS : simple-bwa-gimp-2.8.10.xcf
9: INFO : simple-rgb-gimp-2.8.10.xcf: converting simple-rgb-gimp-2.8.10.xcf from RGB32 to ARGB32
9: INFO : simple-rgb-gimp-2.8.10.xcf: converting simple-rgb-gimp-2.8.10.png from RGB32 to ARGB32
9: PASS : simple-rgb-gimp-2.8.10.xcf
9: FAIL : simple-rgba-gimp-2.8.10.xcf: differs from simple-rgba-gimp-2.8.10.png
9:        expected data written to simple-rgba-gimp-2.8.10.xcf-expected.data
9:        actual data written to simple-rgba-gimp-2.8.10.xcf-actual.data
9: Totals: 3 passed, 1 failed
9: ********* Finished basic read tests for xcf images *********
 9/13 Test  #9: kimageformats-read-xcf ...........***Failed    0.23 sec
Comment 1 Christophe Giboudeaux 2017-11-16 21:46:27 UTC
Same failure with Qt 5.10. and kimageformats from master.

9/14 Testing: kimageformats-read-xcf
9/14 Test: kimageformats-read-xcf
Command: "/kde/build/5/frameworks/kimageformats/bin/readtest" "-f" "1" "xcf"
Directory: /kde/build/5/frameworks/kimageformats/autotests
"kimageformats-read-xcf" start time: Nov 16 22:43 CET
Output:
----------------------------------------------------------
********* Starting basic read tests for xcf images *********
INFO : simple-bw-gimp-2.8.10.xcf: converting simple-bw-gimp-2.8.10.xcf from RGB32 to ARGB32
INFO : simple-bw-gimp-2.8.10.xcf: converting simple-bw-gimp-2.8.10.png from RGB32 to ARGB32
PASS : simple-bw-gimp-2.8.10.xcf
PASS : simple-bwa-gimp-2.8.10.xcf
INFO : simple-rgb-gimp-2.8.10.xcf: converting simple-rgb-gimp-2.8.10.xcf from RGB32 to ARGB32
INFO : simple-rgb-gimp-2.8.10.xcf: converting simple-rgb-gimp-2.8.10.png from RGB32 to ARGB32
PASS : simple-rgb-gimp-2.8.10.xcf
FAIL : simple-rgba-gimp-2.8.10.xcf: differs from simple-rgba-gimp-2.8.10.png
       expected data written to simple-rgba-gimp-2.8.10.xcf-expected.data
       actual data written to simple-rgba-gimp-2.8.10.xcf-actual.data
Totals: 3 passed, 1 failed
********* Finished basic read tests for xcf images *********
<end of output>
Test time =   0.01 sec
----------------------------------------------------------
Test Failed.
"kimageformats-read-xcf" end time: Nov 16 22:43 CET
"kimageformats-read-xcf" time elapsed: 00:00:00
----------------------------------------------------------
Comment 2 Albert Astals Cid 2021-03-04 22:02:44 UTC
Can we close this given that we require Qt 5.14 now? 

Or do you still have this failing with Qt 5.14?
Comment 3 Heiko Becker 2021-03-04 22:27:20 UTC
Oh, I re-enabled that test with 5.67.0 in our packaging (not necessarily the first version to work) but apparently forgot about this bug.